PostgreSQL is a powerful, open source object-relational database system.

learn more… | top users | synonyms

2
votes
2answers
143 views

Will apt-get dist-upgrade blow away my PostgreSQL server setup?

I'm about to upgrade my webserver, my site relies heavily on PostgreSQL database and settings. I started apt-get dist-upgrade, and it says it wants to upgrade Postgres. I cancelled, but will it wipe ...
0
votes
1answer
423 views

Postgres uninstall: “server.key has group or world access” error

I'm trying to uninstall postgresql, but its really complaining. I suspect something is broken. I'm on 12.04, installed via apt-get. sudo apt-get remove postgresql returns: Reading package ...
1
vote
1answer
1k views

Configuring Postgresql 9.1 and PostGIS 2 on Ubuntu 13

I'm following this manual to Configuring Postgresql 9.1 and PostGIS 2 on Ubuntu 13 in Amazon AWS, when executing sudo apt-get update I get lot of errors and warnings for example: Err ...
1
vote
1answer
3k views

How to install postgresql-8.4?

sudo add-apt-repository ppa:pitti/postgresql # ... OK sudo apt-get install postgresql-8.4 Reading package lists... Done Building dependency tree Reading state information... Done Package ...
0
votes
1answer
528 views

Setting up Django and Posgtresql on ubuntu

I am running Kubuntu 12.04 LTS. I have been reading the django book and I have hit a snag where I'm unable to set up posgresql to work with the django app. I have installed both python-postgresql ...
0
votes
1answer
68 views

Unable to run PostgreSQL 9.2 [duplicate]

I followed an instruction on how to setup Ubuntu 10.04 with PostgresSQL $ psql Or this: lucid@ubuntu:~$ sudo -u postgres psql postgres [sudo] password for lucid: psql: could not connect to ...
0
votes
2answers
3k views

How to create .s.PGSQL.5432?

I installed postgresql 9. By mistake,I deleted the .s.PGSQL.5432. Now i cant able to add server from pgAdmin. I don't have any server in on . How to create .s.PGSQL.5432? No such file or directory ...
1
vote
1answer
156 views

What accounts for the differing instructions on setting password for postgres?

I'm following this blog post http://hendrelouw73.wordpress.com/2012/11/14/how-to-install-postgresql-9-1-on-ubuntu-12-10-linux/ to install postgres on ubuntu. These are steps two and three. STEP 2: ...
3
votes
1answer
756 views

I don't want to store passwords in an unencrypted file

I'm using Ubuntu 12.04 LTS on my developer machine and just realized that psql stores passwords in '~/.pgpass'. Furthermore this file is unencrypted. So anyone who has super user rights (i.e. is in ...
2
votes
2answers
2k views

Cannot open port

I've been struggling to open the port 5432 for remote PostgreSQL access. Which I installed on a Ubuntu 10.04 desktop machine. Here is the shell log: xybrek@ubuntu:~$ sudo ufw allow 5432 [sudo] ...
1
vote
3answers
2k views

Install postgresql. Unmet dependencie “ postgresql-common”

I'm trying to install postgis on Ubuntu 13.04. I've attempted to follow a number of different blogs and wikis on line, but always run in to the same problem... $sudo apt-get install postgis ...
0
votes
1answer
819 views

Got “Package operation failed” error while installing postgresql using ubuntu software center

I am trying to install JDownloader. But, while installing it using sudo apt-get install jdownloader, I got some error. Like this: j@ubuntu:~$ sudo apt-get install jdownloader Reading package lists... ...
0
votes
1answer
844 views

How to setup DB in postgresql 9.2.4 on 12.04.2 LTS

I THINK I have PostgreSQL running correctly on my box: I have a PID and I see that postgres is "listening" on port 5432. I'm trying to create a DB to experiment with, using the "Book" db outlined in ...
1
vote
0answers
361 views

ldap postgresql backend segmentation fault

I am running the latest version of LDAP on XUbuntu 12.4 LTS and it works pretty fine as long as I use hdb or bdb as the backend. Nevertheless when I change the backend to sql and try to restart the ...
17
votes
7answers
34k views

How to install PostgreSQL on Ubuntu 13.04?

How to install PostgreSQL in Ubuntu 13.04? I followed by this tutorial, How to install postgreSQL 9-2 - UbuntuGeek.com But in logs it says: the package is deprecated and no longer will be used ...
3
votes
1answer
6k views

Postgres - could not create shared memory segment: Invalid argument

Shmmax, Shmall, I just can't win ;) I've tried changing around my /etc/sysctl.d/30-postgresql-shm.conf file a fair bit uncommenting and changing the kernel.shmmax and kernel.shmall a bit but it ...
2
votes
4answers
17k views

Uninstall Postgresql 9.1.1

I have Postgresql 9.1.1 in my Ubuntu 12.04 which got installed due to automatic upgrades and whenever I uninstall it using the command: sudo apt-get --purge remove postgresql-9.1.1 I get an error ...
3
votes
2answers
1k views

How do I downgrade PostgreSQL?

In my ubuntu 12.04 x64 I installed PostgreSQL 8.4. It got automatically upgraded to 9.1.1. Due to some inconsistencies, I want to downgrade it to 8.4. How can I do this using the terminal?
0
votes
1answer
189 views

Update postgresql with latest security update

PostgreSQL announced on the 4th of April a security update to its PostgreSQL server. I really want to install that update. But if I run sudo apt-get update and sudo apt-get upgrade the update does ...
1
vote
0answers
14 views

How to upgrade postgresql from 9.2.0 to 9.2.4 [duplicate]

The title says it all. if I run sudo apt-get update and then sudo apt-get upgrade none of the postgresql packages get updated. While the psql version 9.2.0 is and the last update is 9.2.4. Am I ...
2
votes
1answer
272 views

Getting powernap's IOMonitor to work with postgresql

I have a 12.04 box running postgresql 9.1.8-0ubuntu12.04, which serves a Java webapp (an Atlassian Confluence wiki). I'm trying to take advantage of powernap's IOMonitor feature. However, if I ...
0
votes
1answer
2k views

PostgreSQL postmaster not starting

I'm trying to install a PostgreSQL instance after building it from source, but running the postmaster daemon prior to starting up the database cluster doesn't seem to work. Here's the error message I ...
3
votes
1answer
3k views

pg_connect(): Unable to connect to PostgreSQL server

I have read multiple articles detailing this fix for this exact issue. I have tried all kinds of variations of editing the pg_hba.conf file but no luck I still get the following error in my Apache log ...
0
votes
1answer
525 views

Ubuntu 12.04 Depends: postgresql-9.1-postgis

I am installing LocalWiki on a Virtual Machine hosted by 1&1.com It is Ubuntu 12.04. When I run sudo apt-get install localwiki as instructed by http://localwiki.org/install/, I get the following ...
1
vote
2answers
717 views

Install postgreSQL on Ubuntu dependency errors

I just installed a Bitnami Ruby Stack (Ubuntu, Rails, Rub, ...). I would like to install postgreSQL. I tried the following command: sudo apt-get install postgresql But, I get this: Reading ...
1
vote
1answer
105 views

Extending postgresql code

In postgresql source code there is a file called postgres.c precisely in /src/backend/tcop/. Inside there is a function called exec_simple_query. I want add a line that call my_function that is in ...
13
votes
4answers
47k views

How do I find the path to pg_hba.conf from the shell?

I would like to obtain the path to pg_hba.conf from the shell. The path varies between versions of PostgreSQL. For instance, for 8.4 and 9.1: /etc/postgresql/8.4/main/pg_hba.conf ...
0
votes
1answer
1k views

Installing PostgreSQL 9.x on Ubuntu 11.04

I tried following the direction from various websites: sudo add-apt-repository ppa:pitti/postgresql sudo apt-get update sudo apt-get install postgresql Unfortunately, it still wants to install 8.4. ...
0
votes
1answer
960 views

Can't update or remove PostgreSQL 9.1

The last update of PostgreSQL 9.1.7 seems to break my APT. When I try to update, I get the following error: Reading package lists... Done Building dependency tree Reading state information... ...
0
votes
1answer
473 views

Attempting to re-install postgres fails due to rabbitmq

On 12.04, when I do apt-get install on postgresql (which is already installed), it returns an error that mentions rabbitmq-server. What are the circumstances that could cause this type of failure? # ...
5
votes
1answer
3k views

Postgres-xc won't uninstall (Fails on Stopping Co-ordinators)

I was doing some rails development and accidentally installed postres-xc instead of the normal postgres package. I immediately went to remove postgres-xc, but apt-get will not uninstall it. I also ...
5
votes
2answers
3k views

apt-get upgrade stuck on postgresql dependency

I ran sudo apt-get upgrade on my 12.04 server, and I have become stuck with a PostgreSQL dependency. The console output (of sudo apt-get -f install) is below: dpkg: dependency problems prevent ...
5
votes
2answers
446 views

Why is there a shell given to user for PostgreSQL?

cat /etc/passwd |grep postgre postgres:x:115:127:PostgreSQL administrator,,,:/var/lib/postgresql:/bin/bash apt-cache show postgresql Package: postgresql Priority: optional Section: database ...
2
votes
3answers
2k views

Unmet dependencies. Try using -f

I'm running into the following error when I'm installing any package on 12.04. Reading package lists... Done Building dependency tree Reading state information... Done You might want to run ...
1
vote
1answer
136 views

I did not install postgresql, so why do I have postgresql related binaries in 12.04?

I am going to compile postgresql from source, but the system already has postgresql related binaries such as pg_config, which gives me a lot of environment variables etc when I run it. I did not ...
0
votes
3answers
443 views

Updating problem with post-gresql 9.1

I have the following error when updating my ubuntu: $sudo apt-get upgrade [...] Lecture des listes de paquets... Fait Construction de l'arbre des dépendances Lecture des informations ...
2
votes
0answers
242 views

Postgresql 8.2 service will not stop and uninstall

My system config is as follows: System (running on Amazon EC2) Ubuntu 10.04 Postgresql-8.2 installed and it is working. ubuntu@ip:~$ sudo /etc/init.d/postgresql-8.2 status: Running clusters: ...
2
votes
1answer
204 views

Remove a previously deselected package to install postgres?

So I was meant to run add-apt-repository ppa:pitti/postgresql apt-get update apt-get install postgresql libpq-dev but instead I ran without the previous two commands apt-get install postgresql ...
6
votes
3answers
3k views

How to manually restart services affected by apt upgrades?

How can I issue apt upgrades without automatically stopping/starting daemons? I'd like to manually restart services. To cite a specific example: I'll revisit a long-running machine and run sudo ...
0
votes
2answers
1k views

Postgresql - configuring as Upstart job problem

I need Postgresql configured to start with the Upstart system because I use Upstarts events to start another app which depends on pgsql to be running. This is the tutorial/script I've used: ...
0
votes
3answers
987 views

Postgres gem won't install on 12.10

I am trying to get Ruby on Rails working on my computer but the pg gem keeps failing. I have found a lot of other questions saying that you just need to use the libpq-dev package from apt and that ...
0
votes
1answer
73 views

Locating Postgres database

I am working on this new ubuntu 12.04 server and I need to work on the Postgres database which is PostGIS enabled. The problem is I am not sure how to locate the database using command line. It is ...
3
votes
1answer
67 views

juju override defaults in service

Working on the postgresql charm a bit, and I'm wondering if there is a way to supply overrides for default values in a "juju-way". In my charm that will be consuming the services provided by ...
3
votes
3answers
23k views

How do I install pgAdmin III for postgreSQL 9.2?

I have a Windows server that runs postgresql 9.2. I want to hit it using pgAdmin III from my Ubuntu 12.10 workstation box. I installed pgAdmin III from synaptic and also tried direct download from ...
0
votes
3answers
567 views

apt-get no longer works after manually deleting folders of a previously installed application

I have been struggling all weekend, to upgrade an existing postgresql database from version 8.4 to 9.1. I have (had) both versions of databases after I updated my OS from 10.0.4 to 12.04. I finally ...
0
votes
1answer
2k views

How to make psql to default to localhost?

I have the following scenario: saji@geeklap:~$ psql -U postgres psql: FATAL: Ident authentication failed for user "postgres" saji@geeklap:~$ psql -h localhost -U postgres Password for user ...
0
votes
1answer
814 views

pgAgent installation in PostgreSQL

I have installed PostgreSQL 9.1 on ubuntu 12.04 64-bit. I try to run Aplication Stack Builder and install pgAgent. At first I am asked for root password, which I provide, after I choose PostgreSQL ...
1
vote
1answer
205 views

postgreSQL installation from graphical installed

I tried to install postgreSQL on ubuntu 12.04 64-bit. I have version pgsql9.1 on my windows machine and wanted to make both installation the same with the same components. I downloaded ...
1
vote
2answers
56 views

Regarding inbuilt application PostGreSQL

In my work I need to study about FOSSology. This tool supports only in Linux. So i have installed Ubuntu version 12.10 Quantal. Through net i have come to know Ubuntu has inbuilt postgreSQL ...
0
votes
1answer
21 views

What packages do I need to install in order to bulld postgres from source?

I need to be able to build postgres-8.4.2 from source. What dependencies should I install?